%define name powermanga
%define version 0.74
%define release 1mdk
%define prefix %{_prefix}

Summary: Shoot them up with 3d graphics
Name: %{name}
Version: %{version}
Release: %{release}
License: Artistic
Group: Games/Arcade
BuildRequires:	XFree86-devel
BuildRoot: %{_tmppath}/%{name}-buildroot
Source: http://www.tlk.fr/lesjeux/%{name}-%{version}.tar.bz2
Source10: %{name}.16.xpm.bz2
Source11: %{name}.32.xpm.bz2
Source12: %{name}.48.xpm.bz2
Patch3: powermanga-0.73-fix-scorefile.patch.bz2
ExclusiveArch: %{ix86}
URL: http://www.tlk.fr/jeu.php?ref=powli
PreReq: rpm-helper

%description
In this shoot them up with 3d graphics, you'll have to face and destroy
more than 60 different types of opponents. Nice musics, many weapons, and
a ton of surprises..

%prep
%setup -q
%patch3 -p0
perl -pi -e 's/^CXXFLAGS\s+=.*//; s/^PREFIX\s+=.*//' Makefile
# remove nasty no-newline-at-end-of-line, it bothers gcc-2.96
find . -name "*.hpp" -exec perl -pi -e '$_.="\n" if eof' {} \;

%build
PREFIX=%{_prefix} CXXFLAGS=$RPM_OPT_FLAGS make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man6
make install PREFIX=$RPM_BUILD_ROOT/%{_prefix} DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/%{_gamesbindir}/%{name} $RPM_BUILD_ROOT/%{_gamesbindir}/%{name}.real
cat > $RPM_BUILD_ROOT/%{_gamesbindir}/%{name} << EOF
#!/bin/sh
pushd %{_gamesdatadir}/%{name}
%{_gamesbindir}/%{name}.real
popd
EOF
chmod a+x $RPM_BUILD_ROOT/%{_gamesbindir}/%{name}

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.xpm" \
  needs="x11" section="Amusement/Arcade" title="Power Manga" \
  longtitle="Shoot them up with 3d graphics"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%post
%{update_menus}
%create_ghostfile /var/lib/games/powermanga.hi root games 664

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
%attr(-, root, games) %{_gamesbindir}/*
%{_gamesdatadir}/*
%{_mandir}/*/*.bz2
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%attr(664, root, games) %ghost /var/lib/games/powermanga.hi

%changelog
* Wed Oct  9 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.74-1mdk
- new version
- don't add a pkgdatadir anymore, it's a pain to port the patch for
  each new release; use a script to launch the game from its datadir

* Mon Aug 19 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.73-1mdk
- new version with small fixes all around the place in which a few patches
  of us have been integrated upstream

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.71c-8mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.71c-7mdk
- Automated rebuild with gcc3.2

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.71c-6mdk
- rebuild to link against latest libstdc++

* Fri Feb 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.71c-5mdk
- rebuild to fix invalid-packager
- handle /var/lib/games stuff as ghost file

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.71c-4mdk
- fix obsolete-tag Copyright

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 0.71c-3mdk
- BuildRequires:	XFree86-devel

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.71c-2mdk
- rebuild

* Thu Mar 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.71c-1mdk
- 0.71c

* Wed Dec 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.71-2mdk
- ix86 only.

* Tue Nov 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.71-1mdk
- mdk package
